package com.enteprise.season.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.enteprise.common.annotation.Excel;
import com.enteprise.common.core.domain.BaseEntity;

/**
 * season对象 enterprise_base_data_season
 * 
 * @author ruoyi
 * @date 2024-09-26
 */
public class EnterpriseBaseDataSeason extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String enterpriseName;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String location;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String code;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String mainBusiness;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Double landArea;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Double totalIndustrialValue;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Double gdp;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Double taxableIncome;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Double paidTax;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Double mainBusinessIncome;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Double employeeNumber;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long profit;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long ownerEquity;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Double funding;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Double energyConsume;

    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Double powerConsume;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String year;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String season;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMainBusiness() {
        return mainBusiness;
    }

    public void setMainBusiness(String mainBusiness) {
        this.mainBusiness = mainBusiness;
    }

    public Double getLandArea() {
        return landArea;
    }

    public void setLandArea(Double landArea) {
        this.landArea = landArea;
    }

    public Double getTotalIndustrialValue() {
        return totalIndustrialValue;
    }

    public void setTotalIndustrialValue(Double totalIndustrialValue) {
        this.totalIndustrialValue = totalIndustrialValue;
    }

    public Double getGdp() {
        return gdp;
    }

    public void setGdp(Double gdp) {
        this.gdp = gdp;
    }

    public Double getTaxableIncome() {
        return taxableIncome;
    }

    public void setTaxableIncome(Double taxableIncome) {
        this.taxableIncome = taxableIncome;
    }

    public Double getPaidTax() {
        return paidTax;
    }

    public void setPaidTax(Double paidTax) {
        this.paidTax = paidTax;
    }

    public Double getMainBusinessIncome() {
        return mainBusinessIncome;
    }

    public void setMainBusinessIncome(Double mainBusinessIncome) {
        this.mainBusinessIncome = mainBusinessIncome;
    }

    public Double getEmployeeNumber() {
        return employeeNumber;
    }

    public void setEmployeeNumber(Double employeeNumber) {
        this.employeeNumber = employeeNumber;
    }

    public Long getProfit() {
        return profit;
    }

    public void setProfit(Long profit) {
        this.profit = profit;
    }

    public Long getOwnerEquity() {
        return ownerEquity;
    }

    public void setOwnerEquity(Long ownerEquity) {
        this.ownerEquity = ownerEquity;
    }

    public Double getFunding() {
        return funding;
    }

    public void setFunding(Double funding) {
        this.funding = funding;
    }

    public Double getEnergyConsume() {
        return energyConsume;
    }

    public void setEnergyConsume(Double energyConsume) {
        this.energyConsume = energyConsume;
    }

    public Double getPowerConsume() {
        return powerConsume;
    }

    public void setPowerConsume(Double powerConsume) {
        this.powerConsume = powerConsume;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getSeason() {
        return season;
    }

    public void setSeason(String season) {
        this.season = season;
    }

    @Override
    public String toString() {
        return "EnterpriseBaseDataSeason{" +
                "id=" + id +
                ", enterpriseName='" + enterpriseName + '\'' +
                ", location='" + location + '\'' +
                ", code='" + code + '\'' +
                ", mainBusiness='" + mainBusiness + '\'' +
                ", landArea=" + landArea +
                ", totalIndustrialValue=" + totalIndustrialValue +
                ", gdp=" + gdp +
                ", taxableIncome=" + taxableIncome +
                ", paidTax=" + paidTax +
                ", mainBusinessIncome=" + mainBusinessIncome +
                ", employeeNumber=" + employeeNumber +
                ", profit=" + profit +
                ", ownerEquity=" + ownerEquity +
                ", funding=" + funding +
                ", energyConsume=" + energyConsume +
                ", powerConsume=" + powerConsume +
                ", year='" + year + '\'' +
                ", season='" + season + '\'' +
                '}';
    }
}
